<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/arithmetic_to_ascii_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/05/85  arithmetic_to_ascii_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>The arithmetic_to_ascii_ subroutine formats any arithmetic value into a
<span id="L5" class="LineNr"> 5 </span>compact ascii form.  An integer, fractional, or exponential format can
<span id="L6" class="LineNr"> 6 </span>be used, depending on the number to be converted.  Fixed-point numbers
<span id="L7" class="LineNr"> 7 </span>are truncated during the formatting process; floating-point numbers are
<span id="L8" class="LineNr"> 8 </span>rounded.
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Entry points in arithmetic_to_ascii_:
<span id="L12" class="LineNr">12 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>:Entry: arithmetic_to_ascii_: 03/05/85  arithmetic_to_ascii_
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>Function:
<span id="L19" class="LineNr">19 </span>This entry point formats any arithmetic value into a compact ascii
<span id="L20" class="LineNr">20 </span>form.
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>Syntax:
<span id="L24" class="LineNr">24 </span>declare arithmetic_to_ascii_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span>
<span id="L25" class="LineNr">25 </span>     fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>132<span class="textRainbow_lv1_p0">)</span> varying<span class="textRainbow_lv0_p0">)</span>;
<span id="L26" class="LineNr">26 </span>call arithmetic_to_ascii_ <span class="textRainbow_lv0_p0">(</span>v_ptr<span class="textRainbow_lv0_o0">,</span> type<span class="textRainbow_lv0_o0">,</span> packed<span class="textRainbow_lv0_o0">,</span> precision<span class="textRainbow_lv0_o0">,</span> scale<span class="textRainbow_lv0_o0">,</span>
<span id="L27" class="LineNr">27 </span>     result<span class="textRainbow_lv0_p0">)</span>;
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>Arguments:
<span id="L31" class="LineNr">31 </span>v_ptr
<span id="L32" class="LineNr">32 </span>   is a pointer to the value to be converted.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It can be any
<span id="L33" class="LineNr">33 </span>   arithmetic data type <span class="textRainbow_lv0_p0">(</span>real or complex<span class="textRainbow_lv0_o0">,</span> fixed or float<span class="textRainbow_lv0_o0">,</span> binary or
<span id="L34" class="LineNr">34 </span>   decimal<span class="textRainbow_lv0_o0">,</span> single or double precision<span class="textRainbow_lv0_p0">)</span>.
<span id="L35" class="LineNr">35 </span>type
<span id="L36" class="LineNr">36 </span>   is a standard Multics descriptor type.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> See the Programmer's
<span id="L37" class="LineNr">37 </span>   Reference Manual for a list of standard Multics data types.
<span id="L38" class="LineNr">38 </span>packed
<span id="L39" class="LineNr">39 </span>   indicates whether the value is packed or unpacked.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L40" class="LineNr">40 </span>   &quot;0&quot;b   value is unpacked.
<span id="L41" class="LineNr">41 </span>   &quot;1&quot;b   value is packed.
<span id="L42" class="LineNr">42 </span>precision
<span id="L43" class="LineNr">43 </span>   is the precision of the value to be converted.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L44" class="LineNr">44 </span>scale
<span id="L45" class="LineNr">45 </span>   is the scale factor of the value to be converted.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L46" class="LineNr">46 </span>result
<span id="L47" class="LineNr">47 </span>   is the character-string representation of the value to be converted;
<span id="L48" class="LineNr">48 </span>   it contains no blanks.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L49" class="LineNr">49 </span>
<span id="L50" class="LineNr">50 </span>
<span id="L51" class="LineNr">51 </span>Notes:  If the value is complex, the real and imaginary parts are
<span id="L52" class="LineNr">52 </span>formatted by correcting them to float decimal<span class="textRainbow_lv0_p0">(</span>59<span class="textRainbow_lv0_p0">)</span> and converting each
<span id="L53" class="LineNr">53 </span>part separately.  The result returned by the arithmetic_to_ascii_
<span id="L54" class="LineNr">54 </span>subroutine is the concatenation of the real and imaginary converted
<span id="L55" class="LineNr">55 </span>parts, with a leading sign and trailing &quot;i&quot; supplied for the imaginary
<span id="L56" class="LineNr">56 </span>part.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
